Skip to main content
POST
/
test_framework
/
v1
/
runs
/
{id}
/
mark_metric_vote
Submit a metric vote for a run
curl --request POST \
  --url https://api.cekura.ai/test_framework/v1/runs/{id}/mark_metric_vote/ \
  --header 'Content-Type: application/json' \
  --header 'X-CEKURA-API-KEY: <api-key>' \
  --data '
{
  "metric_id": 123,
  "thumbs_up": true,
  "expected_value": "<unknown>",
  "feedback": "<string>"
}
'
{
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this run.

Body

metric_id
integer
required

ID of the metric to vote on

thumbs_up
boolean | null
required

True for thumbs up, False for thumbs down

expected_value
any | null
required

Expected value for the metric

feedback
string | null

Feedback for the metric review

Response

success
boolean
required